.modal__wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.7);
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;

    .modal__wrap {
        width: 350px;
        z-index: 10;
        background-color: #333;

        .modal__header {
            display: flex;
            justify-content: space-between;
            .button_close {
                padding: 0;
                margin-right: 20px;
                text-transform: uppercase;
                background-color: rgba(0, 0, 0, 0);
                border: none;
                color: #fff;
                font-size: 16px;
                cursor: pointer;
                &:hover {
                    opacity: 0.5;
                }
            }

            .modal__header-title {
                text-align: center;
                font-size: 20px;
                font-family: "Roboto", sans-serif;

                padding: 0px 20px;
                color: #fff;
            }
        }
        .modal__main {
            display: flex;
            justify-content: center;
            background-color: #fff;
            .modal__main-text {
                text-align: center;
                font-size: 20px;
                font-family: "Roboto", sans-serif;
                padding: 10px;
                color: #333;
            }
        }
    }
    .modal__footer {
        display: flex;
        justify-content: center;
        background-color: #fff;
        padding-bottom: 20px;
        .button__modal-cart--footer {
            border-radius: 5px;
            color: #fff;
            font-family: "Roboto", sans-serif;
            border: none;
            cursor: pointer;
            text-transform: uppercase;
            padding: 10px 20px;
            background-color: #444;
            transition: 0.2s;
            margin-left: 20px;
            &:first-child {
                margin-left: 0;
            }
            &:hover {
                background-color: #b3382c;
                transition: 0.2s;
            }
        }
    }
}
